Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Interface LocalContainerInvoker

All Superinterfaces:
  AllowedOperationsFlags, ContainerPlugin, org.jboss.system.Service

public interface LocalContainerInvoker
extends ContainerPlugin

This is an extension to the ContainerInvoker interface. Although some implementations of the ContainerInvoker interface may provide access to local interfaces, others (e.g. which provide remote distribution) will not. Good example: the JRMP delegates do not need to implement this interface.

Version:
  $Revision: 1.5 $
Author:
  Daniel OConnor
See Also:
  `ContainerInvoker`

Field Summary

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Method Summary
`javax.ejb.EJBLocalHome` | `getEJBLocalHome()` This method is called whenever the EJBLocalHome implementation for this container is needed.
`javax.ejb.EJBLocalObject` | `getEntityEJBLocalObject(Object id)` This method is called whenever an EJBLocalObject implementation for an entitybean is needed.
`Collection` | `getEntityLocalCollection(Collection enum)` This method is called whenever a collection of EJBLocalObjects for a collection of primary keys is needed.
`javax.ejb.EJBLocalObject` | `getStatefulSessionEJBLocalObject(Object id)` This method is called whenever an EJBLocalObject implementation for a stateful session bean is needed.
`javax.ejb.EJBLocalObject` | `getStatelessSessionEJBLocalObject()` This method is called whenever an EJBLocalObject implementation for a stateless session bean is needed.

Methods inherited from interface org.jboss.ejb.ContainerPlugin
`setContainer`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getEJBLocalHome

    public javax.ejb.EJBLocalHome getEJBLocalHome()

  This method is called whenever the EJBLocalHome implementation for this container is needed.

  Returns:
    an implementation of the local home interface for this container

### getStatelessSessionEJBLocalObject

    public javax.ejb.EJBLocalObject getStatelessSessionEJBLocalObject()

  This method is called whenever an EJBLocalObject implementation for a stateless session bean is needed.

  Returns:
    an implementation of the local interface for this container

### getStatefulSessionEJBLocalObject

    public javax.ejb.EJBLocalObject getStatefulSessionEJBLocalObject(Object id)

  This method is called whenever an EJBLocalObject implementation for a stateful session bean is needed.

  Parameters:
    `id` - the id of the session
  Returns:
    an implementation of the local interface for this container

### getEntityEJBLocalObject

    public javax.ejb.EJBLocalObject getEntityEJBLocalObject(Object id)

  This method is called whenever an EJBLocalObject implementation for an entitybean is needed.

  Parameters:
    `id` - the primary key of the entity
  Returns:
    an implementation of the local interface for this container

### getEntityLocalCollection

    public Collection getEntityLocalCollection(Collection enum)

  This method is called whenever a collection of EJBLocalObjects for a collection of primary keys is needed.

  Parameters:
    `enum` - enumeration of primary keys
  Returns:
    a collection of EJBLocalObjects implementing the remote interface for this container

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.